diff --git a/web/pgadmin/tools/debugger/static/js/direct.js b/web/pgadmin/tools/debugger/static/js/direct.js
index 2085654a..d0dbad79 100644
--- a/web/pgadmin/tools/debugger/static/js/direct.js
+++ b/web/pgadmin/tools/debugger/static/js/direct.js
@@ -723,29 +721,28 @@ define([
 
         // Make ajax call to listen the database message
         var baseUrl = url_for('debugger.execute_query', {
-                        'trans_id': trans_id,
-                        'query_type': 'step_over'
-                      });
+          'trans_id': trans_id,
+          'query_type': 'step_over',
+        });
         $.ajax({
           url: baseUrl,
           method: 'GET',
           success: function(res) {
             if (res.data.status) {
               self.poll_result(trans_id);
-            }
-            else {
+            } else {
               Alertify.alert(
                 gettext('Debugger Error'),
                 gettext('Error while executing step over in debugging session.')
               );
             }
           },
-          error: function(e) {
+          error: function() {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while executing step over in debugging session.')
             );
-          }
+          },
         });
       },
 
@@ -760,29 +757,28 @@ define([
 
         // Make ajax call to listen the database message
         var baseUrl = url_for('debugger.execute_query', {
-                        'trans_id': trans_id,
-                        'query_type': 'step_into'
-                      });
+          'trans_id': trans_id,
+          'query_type': 'step_into',
+        });
         $.ajax({
           url: baseUrl,
           method: 'GET',
           success: function(res) {
             if (res.data.status) {
               self.poll_result(trans_id);
-            }
-            else {
+            } else {
               Alertify.alert(
                 gettext('Debugger Error'),
                 gettext('Error while executing step into in debugging session.')
               );
             }
           },
-          error: function(e) {
+          error: function() {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while executing step into in debugging session.')
             );
-          }
+          },
         });
       },
 
@@ -797,10 +793,10 @@ define([
 
         // Make ajax call to listen the database message
         var baseUrl = url_for(
-                        'debugger.execute_query', {
-                          'trans_id': trans_id,
-                          'query_type': 'abort_target'
-                      });
+          'debugger.execute_query', {
+            'trans_id': trans_id,
+            'query_type': 'abort_target',
+          });
         $.ajax({
           url: baseUrl,
           method: 'GET',
@@ -821,20 +817,19 @@ define([
               // Set the Alertify message to inform the user that execution
               // is completed.
               Alertify.success(res.info, 3);
-            }
-            else if (res.data.status === 'NotConnected') {
+            } else if (res.data.status === 'NotConnected') {
               Alertify.alert(
                 gettext('Debugger Error'),
                 gettext('Error while executing stop in debugging session.')
               );
             }
           },
-          error: function(e) {
+          error: function() {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while executing stop in debugging session.')
             );
-          }
+          },
         });
       },
 
@@ -854,18 +849,17 @@ define([
         // If gutterMarker is undefined that means there is no marker defined previously
         // So we need to set the breakpoint command here...
         if (info.gutterMarkers == undefined) {
-            baseUrl = url_for('debugger.set_breakpoint', {
-                        'trans_id': trans_id,
-                        'line_no': self.active_line_no + 1,
-                        'set_type': '1'
-                      });
-        }
-        else {
-            baseUrl = url_for('debugger.set_breakpoint', {
-                        'trans_id': trans_id,
-                        'line_no': self.active_line_no + 1,
-                        'set_type': '0'
-                      });
+          baseUrl = url_for('debugger.set_breakpoint', {
+            'trans_id': trans_id,
+            'line_no': self.active_line_no + 1,
+            'set_type': '1',
+          });
+        } else {
+          baseUrl = url_for('debugger.set_breakpoint', {
+            'trans_id': trans_id,
+            'line_no': self.active_line_no + 1,
+            'set_type': '0',
+          });
         }
 
         $.ajax({
@@ -877,14 +871,13 @@ define([
               var info = pgTools.DirectDebug.editor.lineInfo(self.active_line_no);
 
               if (info.gutterMarkers != undefined) {
-                pgTools.DirectDebug.editor.setGutterMarker(self.active_line_no, "breakpoints", null);
-              }
-              else {
-                pgTools.DirectDebug.editor.setGutterMarker(self.active_line_no, "breakpoints", function() {
-                    var marker = document.createElement("div");
-                    marker.style.color = "#822";
-                    marker.innerHTML = "●";
-                    return marker;
+                pgTools.DirectDebug.editor.setGutterMarker(self.active_line_no, 'breakpoints', null);
+              } else {
+                pgTools.DirectDebug.editor.setGutterMarker(self.active_line_no, 'breakpoints', function() {
+                  var marker = document.createElement('div');
+                  marker.style.color = '#822';
+                  marker.innerHTML = '●';
+                  return marker;
                 }());
               }
               self.enable('stop', true);
@@ -893,20 +886,19 @@ define([
               self.enable('toggle_breakpoint', true);
               self.enable('clear_all_breakpoints', true);
               self.enable('continue', true);
-            }
-            else if (res.data.status === 'NotConnected') {
+            } else if (res.data.status === 'NotConnected') {
               Alertify.alert(
                 gettext('Debugger Error'),
                 gettext('Error while toggling breakpoint.')
               );
             }
           },
-          error: function(e) {
+          error: function() {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while toggling breakpoint.')
             );
-          }
+          },
         });
       },
 
@@ -929,17 +921,21 @@ define([
 
         for (var i = 0; i < br_list.length; i++) {
           if (br_list[i].linenumber != -1) {
-            breakpoint_list.push(br_list[i].linenumber)
+            breakpoint_list.push(br_list[i].linenumber);
           }
         }
 
         // Make ajax call to listen the database message
-        var baseUrl = url_for('debugger.clear_all_breakpoint', {'trans_id': trans_id});
+        var baseUrl = url_for('debugger.clear_all_breakpoint', {
+          'trans_id': trans_id,
+        });
 
         $.ajax({
           url: baseUrl,
           method: 'POST',
-          data: { 'breakpoint_list': breakpoint_list.join() },
+          data: {
+            'breakpoint_list': breakpoint_list.join(),
+          },
           success: function(res) {
             if (res.data.status) {
               for (var i = 0; i < breakpoint_list.length; i++) {
@@ -947,24 +943,24 @@ define([
 
                 if (info) {
                   if (info.gutterMarkers != undefined) {
-                    pgTools.DirectDebug.editor.setGutterMarker((breakpoint_list[i] - 1), "breakpoints", null);
+                    pgTools.DirectDebug.editor.setGutterMarker((breakpoint_list[i] - 1), 'breakpoints', null);
                   }
                 }
               }
             }
-          self.enable('stop', true);
-          self.enable('step_over', true);
-          self.enable('step_into', true);
-          self.enable('toggle_breakpoint', true);
-          self.enable('clear_all_breakpoints', true);
-          self.enable('continue', true);
+            self.enable('stop', true);
+            self.enable('step_over', true);
+            self.enable('step_into', true);
+            self.enable('toggle_breakpoint', true);
+            self.enable('clear_all_breakpoints', true);
+            self.enable('continue', true);
           },
-          error: function(e) {
+          error: function() {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while clearing all breakpoint.')
             );
-          }
+          },
         });
       },
 
@@ -973,8 +969,8 @@ define([
 
         // Remove the existing created grid and update the stack values
         if (self.stack_grid) {
-            self.stack_grid.remove();
-            self.stack_grid = null;
+          self.stack_grid.remove();
+          self.stack_grid = null;
         }
 
         var DebuggerStackModel = Backbone.Model.extend({
@@ -982,31 +978,45 @@ define([
             frame_id: 0,
             name: undefined,
             value: undefined,
-            line_no: undefined
-          }
+            line_no: undefined,
+          },
         });
 
         // Collection which contains the model for function informations.
         var StackCollection = Backbone.Collection.extend({
-          model: DebuggerStackModel
+          model: DebuggerStackModel,
         });
 
-        var stackGridCols = [
-          {name: 'name', label: gettext('Name'), type:'text',
-            editable: false, cell:'string'},
-          {name: 'value', label: gettext('Value'), type:'text',
-            editable: false, cell:'string'},
-          {name: 'line_no', label: gettext('Line No.'), type:'text',
-            editable: false, cell:'string'}
+        var stackGridCols = [{
+          name: 'name',
+          label: gettext('Name'),
+          type: 'text',
+          editable: false,
+          cell: 'string',
+        },
+        {
+          name: 'value',
+          label: gettext('Value'),
+          type: 'text',
+          editable: false,
+          cell: 'string',
+        },
+        {
+          name: 'line_no',
+          label: gettext('Line No.'),
+          type: 'text',
+          editable: false,
+          cell: 'string',
+        },
         ];
 
         var my_obj = [];
         for (var i = 0; i < result.length; i++) {
           my_obj.push({
-            "frame_id": i,
-            "name": result[i].targetname,
-            "value": result[i].args,
-            "line_no": result[i].linenumber
+            'frame_id': i,
+            'name': result[i].targetname,
+            'value': result[i].args,
+            'line_no': result[i].linenumber,
           });
         }
 
@@ -1017,32 +1027,32 @@ define([
         var stack_grid = this.stack_grid = new Backgrid.Grid({
           columns: stackGridCols,
           row: Backgrid.Row.extend({
-            highlightColor: "#D9EDF7",
-            disabledColor: "#F1F1F1",
+            highlightColor: '#D9EDF7',
+            disabledColor: '#F1F1F1',
             events: {
-              click: "rowClick"
+              click: 'rowClick',
             },
-            rowClick: function(e) {
+            rowClick: function() {
               //Find which row is selected and depending on that send the frame id
               self.frame_id = this.model.get('frame_id');
               this.model.trigger('backgrid:row:selected', this);
-              self.stack_grid.$el.find("td").css(
-                "background-color", this.disabledColor
+              self.stack_grid.$el.find('td').css(
+                'background-color', this.disabledColor
               );
-              this.$el.find("td").css("background-color", this.highlightColor);
-            }
+              this.$el.find('td').css('background-color', this.highlightColor);
+            },
           }),
           collection: stackColl,
-          className: "backgrid table-bordered"
+          className: 'backgrid table-bordered',
         });
 
         stack_grid.render();
 
         // Render the stack grid into stack panel
         pgTools.DirectDebug.stack_pane_panel
-                           .$container
-                           .find('.stack_pane')
-                           .append(stack_grid.el);
+          .$container
+          .find('.stack_pane')
+          .append(stack_grid.el);
 
       },
 
@@ -1051,29 +1061,29 @@ define([
 
         // Remove the existing created grid and update the result values
         if (self.result_grid) {
-            self.result_grid.remove();
-            self.result_grid = null;
+          self.result_grid.remove();
+          self.result_grid = null;
         }
 
         var DebuggerResultsModel = Backbone.Model.extend({
           defaults: {
-            name: undefined
-          }
+            name: undefined,
+          },
         });
 
         // Collection which contains the model for function informations.
         var ResultsCollection = Backbone.Collection.extend({
-          model: DebuggerResultsModel
+          model: DebuggerResultsModel,
         });
 
         var resultGridCols = [];
-        if(_.size(columns)) {
+        if (_.size(columns)) {
           _.each(columns, function(c) {
             var column = {
-                            type:'text',
-                            editable: false,
-                            cell:'string'
-                         };
+              type: 'text',
+              editable: false,
+              cell: 'string',
+            };
             column['name'] = column['label'] = c.name;
             resultGridCols.push(column);
           });
@@ -1083,7 +1093,7 @@ define([
         var result_grid = this.result_grid = new Backgrid.Grid({
           columns: resultGridCols,
           collection: new ResultsCollection(result),
-          className: "backgrid table-bordered"
+          className: 'backgrid table-bordered',
         });
 
         result_grid.render();
@@ -1098,35 +1108,54 @@ define([
 
         // Remove the existing created grid and update the variables values
         if (self.variable_grid) {
-            self.variable_grid.remove();
-            self.variable_grid = null;
+          self.variable_grid.remove();
+          self.variable_grid = null;
         }
 
         var DebuggerVariablesModel = Backbone.Model.extend({
           defaults: {
             name: undefined,
             type: undefined,
-            value: undefined
-          }
+            value: undefined,
+          },
         });
 
         // Collection which contains the model for function informations.
         var VariablesCollection = Backbone.Collection.extend({
-          model: DebuggerVariablesModel
+          model: DebuggerVariablesModel,
         });
 
-        var gridCols = [
-          {name: 'name', label: gettext('Name'), type:'text', editable: false, cell:'string'},
-          {name: 'type', label: gettext('Type'), type: 'text', editable: false, cell:'string'},
-          {name: 'value', label: gettext('Value'), type: 'text', cell: 'string'}
+        var gridCols = [{
+          name: 'name',
+          label: gettext('Name'),
+          type: 'text',
+          editable: false,
+          cell: 'string',
+        },
+        {
+          name: 'type',
+          label: gettext('Type'),
+          type: 'text',
+          editable: false,
+          cell: 'string',
+        },
+        {
+          name: 'value',
+          label: gettext('Value'),
+          type: 'text',
+          cell: 'string',
+        },
         ];
 
         var my_obj = [];
-        if (result.length != 0)
-        {
+        if (result.length != 0) {
           for (var i = 0; i < result.length; i++) {
             if (result[i].varclass == 'L') {
-              my_obj.push({ "name": result[i].name, "type": result[i].dtype, "value": result[i].value});
+              my_obj.push({
+                'name': result[i].name,
+                'type': result[i].dtype,
+                'value': result[i].value,
+              });
             }
           }
         }
@@ -1135,7 +1164,7 @@ define([
         var variable_grid = this.variable_grid = new Backgrid.Grid({
           columns: gridCols,
           collection: new VariablesCollection(my_obj),
-          className: "backgrid table-bordered"
+          className: 'backgrid table-bordered',
         });
 
         variable_grid.render();
@@ -1150,37 +1179,56 @@ define([
 
         // Remove the existing created grid and update the parameter values
         if (self.param_grid) {
-            self.param_grid.remove();
-            self.param_grid = null;
+          self.param_grid.remove();
+          self.param_grid = null;
         }
 
         var DebuggerParametersModel = Backbone.Model.extend({
           defaults: {
             name: undefined,
             type: undefined,
-            value: undefined
-          }
+            value: undefined,
+          },
         });
 
         // Collection which contains the model for function informations.
         var ParametersCollection = self.ParametersCollection = Backbone.Collection.extend({
-          model: DebuggerParametersModel
+          model: DebuggerParametersModel,
         });
 
         self.ParametersCollection.prototype.on('change', self.deposit_parameter_value, self);
 
-        var paramGridCols = [
-          {name: 'name', label: gettext('Name'), type:'text', editable: false, cell:'string'},
-          {name: 'type', label: gettext('Type'), type: 'text', editable: false, cell:'string'},
-          {name: 'value', label: gettext('Value'), type: 'text', cell: 'string'}
+        var paramGridCols = [{
+          name: 'name',
+          label: gettext('Name'),
+          type: 'text',
+          editable: false,
+          cell: 'string',
+        },
+        {
+          name: 'type',
+          label: gettext('Type'),
+          type: 'text',
+          editable: false,
+          cell: 'string',
+        },
+        {
+          name: 'value',
+          label: gettext('Value'),
+          type: 'text',
+          cell: 'string',
+        },
         ];
 
         var param_obj = [];
-        if (result.length != 0)
-        {
+        if (result.length != 0) {
           for (var i = 0; i < result.length; i++) {
             if (result[i].varclass == 'A') {
-              param_obj.push({ "name": result[i].name, "type": result[i].dtype, "value": result[i].value});
+              param_obj.push({
+                'name': result[i].name,
+                'type': result[i].dtype,
+                'value': result[i].value,
+              });
             }
           }
         }
@@ -1189,7 +1237,7 @@ define([
         var param_grid = this.param_grid = new Backgrid.Grid({
           columns: paramGridCols,
           collection: new ParametersCollection(param_obj),
-          className: "backgrid table-bordered"
+          className: 'backgrid table-bordered',
         });
 
         param_grid.render();
@@ -1204,16 +1252,22 @@ define([
         // variable name and value list that is changed by user
         var name_value_list = [];
 
-        name_value_list.push({ 'name': model.get('name'),'type': model.get('type'), 'value': model.get('value')});
+        name_value_list.push({
+          'name': model.get('name'),
+          'type': model.get('type'),
+          'value': model.get('value'),
+        });
 
         // Make ajax call to listen the database message
         var baseUrl = url_for('debugger.deposit_value', {
-                        'trans_id': pgTools.DirectDebug.trans_id
-                      });
+          'trans_id': pgTools.DirectDebug.trans_id,
+        });
         $.ajax({
           url: baseUrl,
           method: 'POST',
-          data:{'data':JSON.stringify(name_value_list)},
+          data: {
+            'data': JSON.stringify(name_value_list),
+          },
           success: function(res) {
             if (res.data.status) {
               // Get the updated variables value
@@ -1226,23 +1280,23 @@ define([
               }
             }
           },
-          error: function(e) {
+          error: function() {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while depositing variable value.')
             );
-          }
+          },
         });
       },
 
-      select_frame: function(model, selected) {
+      select_frame: function() {
         var self = this;
 
         // Make ajax call to listen the database message
         var baseUrl = url_for('debugger.select_frame', {
-                        'trans_id': pgTools.DirectDebug.trans_id,
-                        'frame_id': self.frame_id
-                      });
+          'trans_id': pgTools.DirectDebug.trans_id,
+          'frame_id': self.frame_id,
+        });
         $.ajax({
           url: baseUrl,
           method: 'GET',
@@ -1250,23 +1304,27 @@ define([
             if (res.data.status) {
               pgTools.DirectDebug.editor.setValue(res.data.result[0].src);
               self.UpdateBreakpoint(pgTools.DirectDebug.trans_id);
-              //active_line_no = self.active_line_no = (res.data.result[0].linenumber - 2);
-              pgTools.DirectDebug.editor.addLineClass((res.data.result[0].linenumber - 2), 'wrap', 'CodeMirror-activeline-background');
+              // active_line_no =
+              //   self.active_line_no = (res.data.result[0].linenumber - 2);
+              pgTools.DirectDebug.editor.addLineClass(
+                (res.data.result[0].linenumber - 2), 'wrap',
+                'CodeMirror-activeline-background'
+              );
 
               // Call function to create and update local variables ....
               self.GetLocalVariables(pgTools.DirectDebug.trans_id);
             }
           },
-          error: function(e) {
+          error: function() {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while selecting frame.')
             );
-          }
+          },
         });
       },
     }
-  )
+  );
 
   /*
     Debugger tool var view to create the button toolbar and listen to the button click event and inform the
@@ -1283,12 +1341,12 @@ define([
       controller.on('pgDebugger:button:state:clear_all_breakpoints', this.enable_clear_all_breakpoints, this);
     },
     events: {
-        'click .btn-stop': 'on_stop',
-        'click .btn-clear-breakpoint': 'on_clear_all_breakpoint',
-        'click .btn-toggle-breakpoint': 'on_toggle_breakpoint',
-        'click .btn-continue': 'on_continue',
-        'click .btn-step-over': 'on_step_over',
-        'click .btn-step-into': 'on_step_into'
+      'click .btn-stop': 'on_stop',
+      'click .btn-clear-breakpoint': 'on_clear_all_breakpoint',
+      'click .btn-toggle-breakpoint': 'on_toggle_breakpoint',
+      'click .btn-continue': 'on_continue',
+      'click .btn-step-over': 'on_step_over',
+      'click .btn-step-into': 'on_step_into',
     },
     enable_stop: function(enable) {
       var $btn = this.$el.find('.btn-stop');
@@ -1392,7 +1450,9 @@ define([
       _.bindAll(pgTools.DirectDebug, 'messages');
 
       if (this.initialized)
-          return;
+        return;
+
+      var baseUrl;
 
       this.initialized = true;
       this.trans_id = trans_id;
@@ -1404,21 +1464,24 @@ define([
       this.is_user_aborted_debugging = false;
       this.is_polling_required = true; // Flag to stop unwanted ajax calls
 
-      var docker = this.docker = new wcDocker(
-          '#container', {
+      this.docker = new wcDocker(
+        '#container', {
           allowContextMenu: false,
           allowCollapse: false,
-          themePath: url_for('static', {'filename': 'css'}),
-          theme: 'webcabin.overrides.css'
+          themePath: url_for('static', {
+            'filename': 'css',
+          }),
+          theme: 'webcabin.overrides.css',
         });
-
       this.panels = [];
 
       // Below code will be executed for indirect debugging
       // indirect debugging - 0  and for direct debugging - 1
       if (trans_id != undefined && !debug_type) {
         // Make ajax call to execute the and start the target for execution
-        var baseUrl = url_for('debugger.start_listener', {'trans_id': trans_id });
+        baseUrl = url_for('debugger.start_listener', {
+          'trans_id': trans_id,
+        });
 
         $.ajax({
           url: baseUrl,
@@ -1429,18 +1492,18 @@ define([
               controller.poll_result(trans_id);
             }
           },
-          error: function(e) {
+          error: function() {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while starting debugging listener.')
             );
-          }
+          },
         });
-      }
-      else if (trans_id != undefined && debug_type)
-      {
+      } else if (trans_id != undefined && debug_type) {
         // Make ajax call to execute the and start the target for execution
-        var baseUrl = url_for('debugger.start_listener', {'trans_id': trans_id });
+        baseUrl = url_for('debugger.start_listener', {
+          'trans_id': trans_id,
+        });
 
         $.ajax({
           url: baseUrl,
@@ -1450,15 +1513,14 @@ define([
               self.messages(trans_id);
             }
           },
-          error: function(e) {
+          error: function() {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while starting debugging listener.')
             );
-          }
+          },
         });
-      }
-      else
+      } else
         this.intializePanels();
     },
 
@@ -1466,7 +1528,9 @@ define([
     messages: function(trans_id) {
       var self = this;
       // Make ajax call to listen the database message
-      var baseUrl = url_for('debugger.messages', {'trans_id': trans_id });
+      var baseUrl = url_for('debugger.messages', {
+        'trans_id': trans_id,
+      });
 
       $.ajax({
         url: baseUrl,
@@ -1477,24 +1541,22 @@ define([
             // If status is Success then find the port number to attach the executer.
             //self.start_execution(trans_id, res.data.result);
             controller.start_execution(trans_id, res.data.result);
-          }
-          else if (res.data.status === 'Busy') {
+          } else if (res.data.status === 'Busy') {
             // If status is Busy then poll the result by recursive call to the poll function
             self.messages(trans_id);
-          }
-          else if (res.data.status === 'NotConnected') {
+          } else if (res.data.status === 'NotConnected') {
             Alertify.alert(
               gettext('Not connected to server or connection with the server has been closed.'),
               res.data.result
             );
           }
         },
-        error: function(e) {
+        error: function() {
           Alertify.alert(
             gettext('Debugger Error'),
             gettext('Error while fetching messages information.')
           );
-        }
+        },
       });
 
     },
@@ -1504,21 +1566,19 @@ define([
       var self = this;
 
       // If breakpoint gutter is clicked and execution is not completed then only set the breakpoint
-      if (gutter == "breakpoints" && !pgTools.DirectDebug.polling_timeout_idle ) {
+      if (gutter == 'breakpoints' && !pgTools.DirectDebug.polling_timeout_idle) {
         // We may want to check, if break-point is allowed at this moment or not
         var info = cm.lineInfo(m);
 
         // If gutterMarker is undefined that means there is no marker defined previously
         // So we need to set the breakpoint command here...
         if (info.gutterMarkers == undefined) {
-          controller.set_breakpoint(self.trans_id,m+1,1); //set the breakpoint
-        }
-        else {
+          controller.set_breakpoint(self.trans_id, m + 1, 1); //set the breakpoint
+        } else {
           if (info.gutterMarkers.breakpoints == undefined) {
-            controller.set_breakpoint(self.trans_id,m+1,1); //set the breakpoint
-          }
-          else {
-            controller.set_breakpoint(self.trans_id,m+1,0); //clear the breakpoint
+            controller.set_breakpoint(self.trans_id, m + 1, 1); //set the breakpoint
+          } else {
+            controller.set_breakpoint(self.trans_id, m + 1, 0); //clear the breakpoint
           }
         }
 
@@ -1526,17 +1586,17 @@ define([
         // we need to find out 'breakpoints' information
         var markers = info.gutterMarkers;
         if (markers != undefined && info.gutterMarkers.breakpoints == undefined)
-          markers = info.gutterMarkers.breakpoints
+          markers = info.gutterMarkers.breakpoints;
 
         cm.setGutterMarker(
-          m, "breakpoints", markers ? null : function() {
-            var marker = document.createElement("div");
+          m, 'breakpoints', markers ? null : function() {
+            var marker = document.createElement('div');
 
-            marker.style.color = "#822";
-            marker.innerHTML = "●";
+            marker.style.color = '#822';
+            marker.innerHTML = '●';
 
             return marker;
-        }());
+          }());
       }
     },
 
